﻿#MenuDotsContainer {
    height: 2%;
    width: 100%;
    display: inline-flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    box-sizing: border-box;
}

#MenuDots {
    height: 50%;
    cursor: pointer;
    opacity: 0.5;
}

    #MenuDots:hover {
        opacity: 1;
    }

#AppMenu, .SubMenu, #UserMenu {
    position: absolute;
    background-color: white;
    /*border-radius: 1vh;*/
    box-shadow: 5px 5px 5px 0px rgba(0,0,0,0.75);
    border-style: solid;
    border-color: rgba(0,0,0,0.2);
    border-width: 1px;
    color: black;
    box-sizing: border-box;
    display: none;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    width: auto;
    height: auto;
    z-index: 900;
    flex-shrink: 0;
}

.MenuVisible {
    display: inline-flex !important;
}

.SubMenu {
    z-index: 1000;
    top: 0;
}

.CommonMenuItem {
    display: inline-flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    cursor: pointer;
    width: 100%;
    padding: 1vh;
    padding-left: 1.5vh;
    padding-right: 3vh;
    box-sizing: border-box;
    text-decoration: none;
    color: black;
    position: relative;
    flex-shrink: 0;
    white-space: nowrap;
    box-sizing: border-box;
}

    .CommonMenuItem:last-of-type {
        margin-bottom: 0;
    }

    .CommonMenuItem:hover {
        background-color: #f3f3f3;
    }

.CommonMenuItemIcon {
    margin-right: 1vw;
    width: 2.5vh;
    height: 2.5vh;
}

.CommonMenuItemLabel {
    font-size: 2vh;
}

.CommonMenuItemSubMenuCallerArrow {
    position: absolute;
    right: 0.5vh;
    height: 2vh;
    margin-left: 1vw;
}

.CommonMenuItem:hover .CommonMenuItemSubMenuCallerArrow {
    opacity: 0.2;
}

@media screen and (max-width:640px) {
    .CommonMenuItem {
        display: none;
    }

    .CommonMenuItemMobile {
        display: inline-flex !important;
    }
}
